QGIS Application - Bug report #11572
Filter Legend By Map Content doesn't maintain point displacement legend
2014-11-0507:10 AM - René-Luc RelLuc

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: Map Legend

Affected QGIS version:2.18.13 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19834
Description

For point vector layer render with 'displacement point', when 'Filter Legend By Map Content' is activated, the legend is not rendered even
if it has to be.

It's due to QgsPointDisplacementRenderer that embedded the real renderer.

History

#1 - 2014-11-05 07:17 AM - René-Luc ReLuc
- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

Patch supplied with the pull request 1673 : https:/github.com/qgis/QGIS/pull/1673

Thanks to review it

#2 - 2014-11-07 12:57 AM - René-Luc ReLuc
- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

Fixed commit:47a1618. Backported to 2.6 commit:c67f0a5

#3 - 2014-11-07 05:39 AM - René-Luc ReLuc
- Status changed from Closed to Reopened

Update the fixed to be more generalist

#4 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#5 - 2016-03-24 12:39 AM - Alain FERRATON

| reproduce this bug in QGIS 2.14

2025-04-28 1/3



https://github.com/qgis/QGIS/pull/1673

#6 - 2016-11-29 10:19 AM - René-Luc ReLuc

- Target version set to Version 2.14

- Affected QGIS version changed from 2.6.0 to 2.14.0

- Resolution deleted (fixed/implemented)

- Assignee changed from Martin Dobias to René-Luc RelLuc

Found a way to fix it!

#7 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#8 - 2017-10-06 01:15 PM - lvan Katanovi¢

The bug is still presentin 2.18.13

#9 - 2017-10-06 01:17 PM - Giovanni Manghi

- Description updated

- Affected QGIS version changed from 2.14.0 to 2.18.13

#10 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
